> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/proxy/submit-proxy-message-envelope/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Submit Message Envelope POST https://agentverse.ai/v1/proxy/submit Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/proxy/submit-proxy-message-envelope ## Request ### Body (application/json) This endpoint expects an Envelope. - `version` (integer, required) - `sender` (string, required) - `target` (string, required) - `session` (string, required) - `schema_digest` (string, required) - `protocol_digest` (string, optional) - `payload` (string, optional) - `expires` (integer, optional) - `nonce` (integer, optional) - `signature` (string, optional) ## Response ### 200 Successful Response ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "version": 42, "sender": "foo", "target": "foo", "session": "foo", "schema_digest": "foo" } ``` **Response** ```json {} ``` **SDK Code** ```python proxySubmitProxyMessageEnvelopeExample import requests url = "https://agentverse.ai/v1/proxy/submit" payload = { "version": 42, "sender": "foo", "target": "foo", "session": "foo", "schema_digest": "foo" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript proxySubmitProxyMessageEnvelopeExample const url = 'https://agentverse.ai/v1/proxy/submit'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"version":42,"sender":"foo","target":"foo","session":"foo","schema_digest":"foo"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go proxySubmitProxyMessageEnvelopeExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/proxy/submit" payload := strings.NewReader("{\n \"version\": 42,\n \"sender\": \"foo\",\n \"target\": \"foo\",\n \"session\": \"foo\",\n \"schema_digest\": \"foo\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby proxySubmitProxyMessageEnvelopeExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/proxy/submit") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"version\": 42,\n \"sender\": \"foo\",\n \"target\": \"foo\",\n \"session\": \"foo\",\n \"schema_digest\": \"foo\"\n}" response = http.request(request) puts response.read_body ``` ```java proxySubmitProxyMessageEnvelopeExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://agentverse.ai/v1/proxy/submit") .header("Content-Type", "application/json") .body("{\n \"version\": 42,\n \"sender\": \"foo\",\n \"target\": \"foo\",\n \"session\": \"foo\",\n \"schema_digest\": \"foo\"\n}") .asString(); ``` ```php proxySubmitProxyMessageEnvelopeExample request('POST', 'https://agentverse.ai/v1/proxy/submit', [ 'body' => '{ "version": 42, "sender": "foo", "target": "foo", "session": "foo", "schema_digest": "foo" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp proxySubmitProxyMessageEnvelopeExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/proxy/submit"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"version\": 42,\n \"sender\": \"foo\",\n \"target\": \"foo\",\n \"session\": \"foo\",\n \"schema_digest\": \"foo\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift proxySubmitProxyMessageEnvelopeExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "version": 42, "sender": "foo", "target": "foo", "session": "foo", "schema_digest": "foo" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/proxy/submit")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.